%define name    lineakd-plugins
%define version 0.8
%define release	2mdk

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	Plugins for lineakd
License:	GPL
Group:		System/Configuration/Hardware          
Source1:	http://prdownloads.sourceforge.net/lineak_defaultplugin-%{version}.tar.bz2
Source2:	http://prdownloads.sourceforge.net/lineak_xosdplugin-%{version}.tar.bz2
Source3:	http://prdownloads.sourceforge.net/lineak_kdeplugins-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-root
Url:		http://lineak.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	lineakd-devel = %{version}
BuildRequires:	lineakd

%description
This package contains different plugins for lineakd.

%package default
Summary:	Default plugin for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}

%description default
This package contains the default plugin for lineakd.

%package xosd
Summary:	XOSD plugin for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}
BuildRequires:	libxosd-devel

%description xosd
This package contains the XOSD plugin for lineakd.

%package kde
Summary:	KDE plugins for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}
BuildRequires:	kdelibs-devel
BuildRequires:	automake1.8

%description kde
This package contains the KDE plugins for lineakd.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q -c -T -D -a 1
%setup -q -c -T -D -a 2
%setup -q -c -T -D -a 3

%build
%if %mdkversion <= 1000
%define __libtoolize true
%endif
pushd lineak_defaultplugin-%version
%configure2_5x
%make
popd

pushd lineak_xosdplugin-%{version}
%configure2_5x
%make
popd

pushd lineak_kdeplugins-%{version}
make -f Makefile.dist
%configure2_5x
%make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd lineak_defaultplugin-%version
%makeinstall_std
popd

pushd lineak_xosdplugin-%{version}
%makeinstall_std
popd

pushd lineak_kdeplugins-%{version}
%makeinstall_std
popd

rm -f $RPM_BUILD_ROOT%{_libdir}/lineakd/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files default
%defattr(-,root,root)
%{_libdir}/lineakd/plugins/defaultplugin.so
%{_mandir}/man1/lineak_defaultplugin.1*

%files xosd
%defattr(-,root,root)
%{_libdir}/lineakd/plugins/xosdplugin.so
%{_mandir}/man1/lineak_xosdplugin.1*

%files kde
%defattr(-,root,root)
%{_libdir}/lineakd/plugins/jukplugin.so
%{_libdir}/lineakd/plugins/kdesktopplugin.so
%{_libdir}/lineakd/plugins/kmailplugin.so
%{_libdir}/lineakd/plugins/konqplugin.so
%{_libdir}/lineakd/plugins/kmixplugin.so
%{_mandir}/man1/lineak_kdeplugins.1*

%changelog
* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix buildrequires

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- drop patches
- new version

* Wed Sep  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-0.beta4.4mdk
- fix buildrequires

* Tue Sep  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-0.beta4.3mdk
- fix configure calls
- fix deps
- call versioned automake

* Sun Sep 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.2mdk 
- fix plugins installation path

* Sat Sep 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.1mdk 
- first release 
